Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.extensible
Interface FoldersCmxControl

All Superinterfaces
  CmxControl, com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

    public interface FoldersCmxControl

extends com.bea.apps.groupspace.controls.extensible.GroupSpaceCmxControl

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

`CmxControl @ControlExtension` for creating the `FOLDER` ObjectClass, `Nodesx` of that type (wrapped in a `Folder`)

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.content.controls.extensible.CmxControl
`CmxControl.Create, CmxControl.Delete, CmxControl.DynamicProperties, CmxControl.FindBy, CmxControl.FindById, CmxControl.Id, CmxControl.Move, CmxControl.ParentId, CmxControl.Property, CmxControl.PropertyPair, CmxControl.RepositoryInfo, CmxControl.SearchPaths, CmxControl.SortOrder, CmxControl.Update`

Field Summary
`static String` | `FIND_ALL`
`static String` | `FIND_ONE`
`static String` | `FOLDER`

Method Summary
`Folder` | `createFolder(String title, String description, String visibility, String owner, ID parentId, ID[] relatedNodes)` creates the `FOLDER ObjectClass` and `Node`s of that type (wrapped in an `Folder`) `FOLDER` extends the `COMMUNITY_CONTENT` ObjectClass and is a Hierarchy Node
`Node` | `findNodeByExpression(String expression, String[] searchPaths)`

Field Detail

### FOLDER

    static final String FOLDER

See Also
  Constants Summary

### FIND_ONE

    static final String FIND_ONE

See Also
  Constants Summary

### FIND_ALL

    static final String FIND_ALL

See Also
  Constants Summary

Method Detail

### createFolder

    Folder createFolder(String title,
                        String description,
                        String visibility,
                        String owner,
                        ID parentId,
                        ID[] relatedNodes)
                        throws AuthenticationException,
                               AuthorizationException,
                               NodeExistsException,
                               NoSuchObjectClassException,
                               RepositoryException,
                               InstantiationException,
                               IllegalAccessException,
                               InvocationTargetException,
                               SQLException,
                               GSNonUniqueContentException

  creates the `FOLDER ObjectClass` and `Node`s of that type (wrapped in an `Folder`)

  `FOLDER` extends the `COMMUNITY_CONTENT` ObjectClass and is a Hierarchy Node

  Parameters
    `title` - content title - inherited
    `description` - content description - inherited
    `visibility` - COMMUNITY, PRIVATE OR PERSONAL - inherited
    `owner` - content owner - inherited
    `parentId` - ID of the parent `Node`
    `relatedNodes` - array of `Node ID`s that are related to this `Node`
  Returns
    `Node` wrapped in a `Folder` constructed with the Properties passed to this method
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `GSNonUniqueContentException`

### findNodeByExpression

    Node findNodeByExpression(String expression,
                              String[] searchPaths)
                              throws InstantiationException,
                                     IllegalAccessException,
                                     InvocationTargetException,
                                     com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                     AuthenticationException,
                                     AuthorizationException,
                                     NoSuchNodeException,
                                     RepositoryException

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `AuthenticationException`
    `AuthorizationException`
    `NoSuchNodeException`
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved